Installation Mambelfish

Réduire
X
  • Filtrer
  • Heure
  • Afficher
Tout effacer
nouveaux messages

  • Installation Mambelfish

    Bonjour à tous,

    Je viens d'installer le composant Mambelfish en vu d'internationaliser mon site. J'ai suivi la procédure indiquée dans ce même forum (je suis sous Joomla 1.0.5). J'ai également suivi le tutorial (d'excellent qualité, félicitations à l'auteur) pour traduire le contenu du site.

    Mais quand je publie le module , la page d'accueil du site indique :
    Fatal error: Call to a member function on a non-object in /var/www/free.fr/......./components/com_mambelfish/mambelfish.html.php on line 62

    Je précise que je n'ai pas appliqué les 2 patchs présents dans l'archive zip (comme c'est indiqué dans la procédure à suivre). Est-ce dû à ça?

  • #2
    Quelle version de php ?

    Commentaire


    • #3
      Je n'en sais rien du tout, et je n'ai pas réussi à avoir l'information après une recherche sur internet. Je pourrais appeler la hotline de Free pour leur demander (c'est de l'humour bien sûr).

      Commentaire


      • #4
        Moi aussi j'ai ce problème et j'utilise la version 4.4.1
        Pour connaitre ta version va dans système/information dans ton Joomla administrator.
        Yallah, les jeunes il faut se bouger !

        Commentaire


        • #5
          Je pensais avoir trouvé la solution ici :

          Acctually, I am totaly new to php programming and now trying to get it familiarized...
          I found the solution for the said matter. Solution was told by someone in the forum and i tried to find where it fits with. I did the following supplements and it worked.
          Put into the following file [rootfolder]/includes/joomla.php at line 70 or 71 right after the lines
          require_once( $mosConfig_absolute_path . '/includes/version.php' );
          require_once( $mosConfig_absolute_path . '/includes/database.php' );
          require_once( $mosConfig_absolute_path . '/includes/gacl.class.php' );
          require_once( $mosConfig_absolute_path . '/includes/gacl_api.class.php' );
          require_once( $mosConfig_absolute_path . '/includes/phpmailer/class.phpmailer.php' );
          require_once( $mosConfig_absolute_path . '/includes/joomla.xml.php' );
          require_once( $mosConfig_absolute_path . '/includes/phpInputFilter/class.inputfilter.php' );


          the following lines
          if (file_exists( 'components/com_mambelfish/mambelfish.php' )) {
          $mosConfig_mbf_content='1'; // can also go into the configuration - but this might be overwritten!
          require_once( "administrator/components/com_mambelfish/mambelfish.class.php");
          require_once( "components/com_mambelfish/classes/mambelfish.class.php");
          }
          if( $mosConfig_mbf_content ) {
          $database = new mlDatabase( $mosConfig_host, $mosConfig_user, $mosConfig_password, $mosConfig_db, $mosConfig_dbprefix );
          } else {
          $database = new database( $mosConfig_host, $mosConfig_user, $mosConfig_password, $mosConfig_db, $mosConfig_dbprefix );
          }
          if ($mosConfig_mbf_content) {
          $mosConfig_defaultLang = $mosConfig_lang; // Save the default language of the site
          $iso_client_lang = MambelFish::discoverLanguage( $database );
          $_MAMBELFISH_MANAGER = new MambelFishManager();
          }

          I hope it will help.
          Malheureusement il ne fait que faire disparaître l'erreur la traduction ne fonctionne que pour les menus pas pour les contenus
          Yallah, les jeunes il faut se bouger !

          Commentaire


          • #6
            C'est effectivement un problème d'initialisation de Mambelfish. Il y a deux solutions : attendre Joomla 1.1 et le Mambelfish nouvelle version qui sortira juste après, en étant totalement intégré à Joomla, ou , si l'on ne peut pas attendre, télécharger un mambot d'initialisation qui s'installe comme tout autre mambot et fait le travail de ce bout de code.
            Je n'ai pas de lien de téléchargement et pas de temps pour le trouver maintenant, mais c'est un membre de l'équipe de téléchargement qui l'a fait. Il est probablement en téléchargement sur JoomlaFrance d'ailleurs.
            Je suis toujours le développeur de sh404sef, mais il est désormais distribué par Weeblr. Je ne réponds plus aux MP sur ce composant. Merci de votre compréhension.

            Commentaire


            • #7
              Le menu system/info m'indique que c'est PHP 4.3.1 qui motorise mon Joomla. Je m'interroge quand même un tout petit peu (moi qui ne suis pas un PHPeux, mais plutot un pythoneux) : la bonne exécution d'un script PHP dépend-elle à ce point de la version du language pour que le sujet revienne si souvent dans les posts de ce forum? Cette question n'est pas une volonté de troll moisi, mais simplement l'envie de comprendre quelles sont les causes des dysfonctionnements à la suite de l'installation d'un composant : dans le code du composant? dans le code de Joomla? dans la version de PHP? les 3 à la fois ?

              Pour résoudre le problème qui se pose à moi, la solution d'attente paraît la plus sage. La commauté des développeurs/utilisateurs de Joomla semble très dynamique pour ne pas avoir à attendre des mois avant de pouvoir bénéficier d'une mise à jour, d'autre part je n'ai ni le temps ni l'envie de bidouiller des scripts PHP.

              Juste une précision à propose de la future version 1.1 : une phrase de la news en page d'accueil me fait douter : Joomla! 1.1 va être bâti sur un codage moderne, qui permettra un développement orienté objet, avec une internationalisation intégrée (support multilangues). Il ne s'agit pas d'une intégration de MambelFish mais seulement d'une internationalisation du programme, c'est bien ça ? (c'est le mot intégrée qui me perturbe).

              Commentaire


              • #8
                Envoyé par thomasp
                Le menu system/info m'indique que c'est PHP 4.3.1 qui motorise mon Joomla. Je m'interroge quand même un tout petit peu (moi qui ne suis pas un PHPeux, mais plutot un pythoneux) : la bonne exécution d'un script PHP dépend-elle à ce point de la version du language pour que le sujet revienne si souvent dans les posts de ce forum? Cette question n'est pas une volonté de troll moisi, mais simplement l'envie de comprendre quelles sont les causes des dysfonctionnements à la suite de l'installation d'un composant : dans le code du composant? dans le code de Joomla? dans la version de PHP? les 3 à la fois ?

                Pour résoudre le problème qui se pose à moi, la solution d'attente paraît la plus sage. La commauté des développeurs/utilisateurs de Joomla semble très dynamique pour ne pas avoir à attendre des mois avant de pouvoir bénéficier d'une mise à jour, d'autre part je n'ai ni le temps ni l'envie de bidouiller des scripts PHP.

                Juste une précision à propose de la future version 1.1 : une phrase de la news en page d'accueil me fait douter : Joomla! 1.1 va être bâti sur un codage moderne, qui permettra un développement orienté objet, avec une internationalisation intégrée (support multilangues). Il ne s'agit pas d'une intégration de MambelFish mais seulement d'une internationalisation du programme, c'est bien ça ? (c'est le mot intégrée qui me perturbe).
                Sans être un spécialiste non plus, je crois comprendre qu'une des version de PHP (4.4 ?) a imposé des restrictions sur la manière de passer des paramètres aux fonctions (par référence), pour des raisons de sécurité, et que pour cela bloque certains scripts anciens qui s'autorisaient quelques libertés dans ce secteur.
                Néanmoins dans ton cas, cela n'a rien à voir avec la version de PHP. Mamblefish nécessitait l'ajout dans le fichier index.php de Mambo l'insertion d'un code d'initialisation. Chaque version de Mambo ou Joomla doit donc avoir son propre fichier index.php modifié de manière appropriée pour que Mambelfish puisse fonctionner - c'est pour ça que le patch (= fichier index.php modifié) pour mambo 4.5.2 est différent de celui de Mambo 4.5.2.3, et de celui de Joomla 1.02, etc
                Un des membres de la Core team a écrit un mambot qui permet de faire cette initialisation de manière indépendante, sans modif des fichiers de Joomla (Mambo ne possède pas de mambot système et ne peut pas utiliser ce mambot).

                Pour ce qui est de Joomla 1.1, l'internationalisation est à deux niveaux (indépendants l'un de l'autre)
                - le suppport du codage des caractères en UTF8 qui permet d'utiliser des alphabets nécessitant le codage des caractères sur deux octets.
                - l'intégration de Mambelfish : Alex Kempke, le développeur de Mambelfish, a intégré la core team de Joomla. Des modifs ont été apportées à Joomla pour utiliser les fonctions de Mambelfish partout où c'est nécessaire, et Mambelfish va devenir le premier composant "certifié" par l'équipe Joomla. Il reste un composant, mais ce composant est un composant "officiel", dont le bon fonctionnement sera (devrait être?) garanti
                Je suis toujours le développeur de sh404sef, mais il est désormais distribué par Weeblr. Je ne réponds plus aux MP sur ce composant. Merci de votre compréhension.

                Commentaire


                • #9
                  Quel bla. bla. techique ! effectivement, je viens d'avoir le même problème en installant la mise à jour 1.08 de Joomla, et j'ai eu la même surprise...
                  J'ai simplement écrasé le fichier index.php par celui fourni dans le Core_patch_4_5_2, et tout est rentré dans l'ordre...
                  Bonne journée

                  Commentaire


                  • #10
                    Tu fais comme tu veux. Néanmoins tu viens de remplacer le fichier principal de Joomla 1.08 par celui de Mambo 4.5.2. Je suis content que ça marche pour toi, mais sache que tu fais un gros retour en arrière en terme de sécurité, et que les chances sont grandes que tu rencontres quelques souçis plus tard. Cela dépend grandement des fonctions que tu utilises pour le moment.
                    Je suis toujours le développeur de sh404sef, mais il est désormais distribué par Weeblr. Je ne réponds plus aux MP sur ce composant. Merci de votre compréhension.

                    Commentaire


                    • #11
                      salut,
                      le forum mambelfish pour joomla toutes versions, avec la procédure d'install et les fichiers à installer mis à jour ici:
                      http://forum.joomla.org/index.php/topic,26271.0.html

                      sinon fait une recherche "joomla prémodé mambelfish"
                      Merci d'éviter les demandes de support par MP.

                      Commentaire

                      Annonce

                      Réduire
                      1 sur 2 < >

                      C'est [Réglé] et on n'en parle plus ?

                      A quoi ça sert ?
                      La mention [Réglé] permet aux visiteurs d'identifier rapidement les messages qui ont trouvé une solution.

                      Merci donc d'utiliser cette fonctionnalité afin de faciliter la navigation et la recherche d'informations de tous sur le forum.

                      Si vous deviez oublier de porter cette mention, nous nous permettrons de le faire à votre place... mais seulement une fois
                      Comment ajouter la mention [Réglé] à votre discussion ?
                      1 - Aller sur votre discussion et éditer votre premier message :


                      2 - Cliquer sur la liste déroulante Préfixe.

                      3 - Choisir le préfixe [Réglé].


                      4 - Et voilà… votre discussion est désormais identifiée comme réglée.

                      2 sur 2 < >

                      Assistance au forum - Outil de publication d'infos de votre site

                      Compatibilité: PHP 4.1,PHP4, 5, 6DEV MySQL 3.2 - 5.5 MySQLi from 4.1 ( @ >=PHP 4.4.9)

                      Support Version de Joomla! : | J!3.0 | J!2.5.xx | J!1.7.xx | J!1.6.xx | J1.5.xx | J!1.0.xx |

                      Version française (FR) D'autres versions sont disponibles depuis la version originale de FPA

                      UTILISER À VOS PROPRES RISQUES :
                      L'exactitude et l'exhaustivité de ce script ainsi que la documentation ne sont pas garanties et aucune responsabilité ne sera acceptée pour tout dommage, questions ou confusion provoquée par l'utilisation de ce script.

                      Problèmes connus :
                      FPA n'est actuellement pas compatible avec des sites Joomla qui ont eu leur fichier configuration.php déplacé en dehors du répertoire public_html.

                      Installation :

                      1. Téléchargez l'archive souhaitée : http://afuj.github.io/FPA/

                      Archive zip : https://github.com/AFUJ/FPA/zipball/master

                      2. Décompressez le fichier de package téléchargé sur votre propre ordinateur (à l'aide de WinZip ou d'un outil de décompression natif).

                      3. Lisez le fichier LISEZMOI inclus pour toutes les notes de versions spécifiques.

                      4. LIRE le fichier de documentation inclus pour obtenir des instructions d'utilisation détaillées.

                      5. Téléchargez le script fpa-fr.php à la racine de votre site Joomla!. C'est l'endroit que vous avez installé Joomla et ce n'est pas la racine principale de votre serveur. Voir les exemples ci-dessous.

                      6. Exécutez le script via votre navigateur en tapant: http:// www. votresite .com/ fpa-fr.php
                      et remplacer www. votresite .com par votre nom de domaine


                      Exemples:
                      Joomla! est installé dans votre répertoire web et vous avez installé la version française du fichier FPA:
                      Télécharger le script fpa-fr.php dans: /public_html/
                      Pour executer le script: http://www..com/fpa-fr.php

                      Joomla! est installé dans un sous-répertoire nommé "cms" et vous avez installé la version française du fichier FPA:
                      Télécharger le script fpa-fr.php dans: /public_html/cms/
                      Pour executer le script: http://www..com/cms/fpa-fr.php

                      En raison de la nature très sensible de l'information affichée par le script FPA, il doit être retiré immédiatement du serveur après son utilisation.

                      Pour supprimer le script de votre site, utilisez le lien de script de suppression fourni en haut de la page du script. Si le lien de suppression échoue pour supprimer le script, utilisez votre programme FTP pour le supprimer manuellement ou changer le nom une fois que le script a généré les données du site et le message publié sur le forum. Si le script est toujours présent sur le site, il peut être utilisé pour recueillir suffisamment d'informations pour pirater votre site. Le retrait du script empêche des étrangers de l'utiliser pour jeter un oeil à la façon dont votre site est structuré et de détecter les défauts qui peuvent être utilisé à vos dépends.
                      Voir plus
                      Voir moins
                      Travaille ...
                      X